﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Models.ActionItem>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    ActionItems
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<div id="container">

    <div style="float:left; width:100%;">
        
    <% Html.Kendo().Grid<Models.ActionItem>()
        .Name("ActionItem")
        .TableHtmlAttributes(new { style = "font-size:8pt;" })
        .HtmlAttributes(new { style = "width:1000px;height:470px" })
        .DataSource(dataSource => dataSource
                .Ajax()
                .Model(model => model.Id(a => a.Id))
                .ServerOperation(true)
                .Read(read => read.Action("GetActionItemsAjax", "Home"))
                            //.Data("onLoadActionItemsData"))
                .Update(update => update.Action("UpdateActionItemsAjax", "Home"))
                .Events(a => a.RequestEnd("onActionItemsRequestEnd"))
            )
        .Events(events => events
                    .Save("onActionItemsSave")
                    .Edit("onActionItemsEdit")
            )
        .Pageable(pager => pager.Input(true)
                            .Refresh(true)
                            .PageSizes(new [] { 10, 20, 30 }) 
            )
        .Scrollable(scrolling => scrolling.Height(470))
        .Sortable()
        .Filterable()
        .Resizable(resize => resize.Columns(true))
        .Columns(columns =>
        {
            columns.Bound(a => a.SportDesc)
                .Width(180);
            columns.Bound(a => a.TypeDesc)
                .ClientTemplate(Html.ActionLink("#=TypeDesc#", "#=ActionName#", "#=ControllerName#", new { id = "#=ReferenceId#", spillar = "#=TypeId#" }, null).ToHtmlString())
                .Width(200);
            columns.Bound(a => a.Description)
                .Width(230);
            columns.Bound(a => a.DueDate)
                .Format("{0:yyyy/MM/dd} ")
                .Width(100);
            //columns.Bound(a => a.StatusDesc)
            //    .Width(80);
            //columns.Bound(a => a.PriorityDesc)
            //    .Width(80);
            columns.Bound(a => a.Comment)
                .HeaderHtmlAttributes(new { title = "Comment" })
                .ClientTemplate("<div class='sprite sprite-note commentActionItemWindow'></div>")
                .HtmlAttributes(new { style = "text-align:center" })
                .Width(40);
            columns.Command(commands =>
            {
                commands.Edit();
            })
            .Width(160);
        }).Render();
                
    %>
            
    </div>

</div>

    <script type="text/javascript">

        $("#ActionItem").on("click", ".commentActionItemWindow", function (e) {
            var grid = $(this).closest(".k-grid").data("kendoGrid");
            var model = grid.dataItem($(e.target).closest("tr"));
            var id = model.Id;
            var typeDesc = model.TypeDesc;

            var editable = 'true';
            openCommentWindow('ActionItem', id, typeDesc, editable, 'true');
        });

        function onActionItemsRequestEnd(e) {
            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                this.read();
            }
        }

        function onActionItemsEdit(e) {

//            var dropdownlist = $("#ActionPriorities").data("kendoDropDownList");
//            var priority = e.model.Priority;
//            dropdownlist.value(priority);
//            dropdownlist.refresh();

//            var dropdownlist = $("#ActionStatus").data("kendoDropDownList");
//            var status = e.model.Status;
//            dropdownlist.value(status);
//            dropdownlist.refresh();

        }

        function onActionItemsSave(e) {

//            var priority = $("#ActionPriorities").data("kendoDropDownList").value();
//            e.model.Priority = priority;

//            var status = $("#ActionStatus").data("kendoDropDownList").value();
//            e.model.Status = status;

        }

    </script>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
